package com.hzya.frame.grpU8.nxproof.oerdjnr.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.grpU8.nxproof.oerdjnr.dao.IOerDjnrDao;
import com.hzya.frame.grpU8.nxproof.oerdjnr.entity.OerDjnrEntity;
import org.springframework.stereotype.Repository;

/**
 * @Author:hecan
 * @Description:
 * @params:
 * @return:
 * @Date: 2023/6/19 14:57
 */
@Repository(value = "oerDjnrDao")
public class OerDjnrDaoImpl extends MybatisGenericDao<OerDjnrEntity,String> implements IOerDjnrDao {
    @DS("#entity.dataSourceCode")
    @Override
    public Integer deleteData(OerDjnrEntity entity) {
        Integer o = super.delete(getSqlIdPrifx() + "OerDjnrEntity_delete", entity);
        return o;
    }

    @DS("#entity.dataSourceCode")
    @Override
    public Integer saveData(OerDjnrEntity entity) {
        Integer o = super.insert(getSqlIdPrifx() + "OerDjnrEntity_insert", entity);
        return o;
    }
}
